
%global meadversion 3.0.2
%global namedversion 3.0.2.redhat-3
%global meadalpha .redhat_3
%global meadrel .1
%global serial 8

%bcond_with javadoc
%bcond_without mead

%define maven_version 3.0.2.redhat-3

Name:           ws-commons-neethi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Neethi
Group:          Development/Java

%if %with mead
Source100: neethi-3.0.2.redhat-3-scm-sources.zip
Source102: neethi-3.0.2.redhat-3.pom
Source103: neethi-3.0.2.redhat-3-javadoc.jar
Source104: neethi-3.0.2.redhat-3.jar
Source105: neethi-3.0.2.redhat-3-sources.jar
%endif

License:        ASL 2.0
URL:            http://ws.apache.org/neethi/
# ws-commons-policy has NOT been renamed to neethi
Obsoletes:      neethi <= 0:1.0.1
Provides:       neethi = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/neethi-%{namedversion}-%{release}-root

%description
Apache Neethi provides general framework for the programmers to use WS Policy.
It is compliant with latest WS Policy specification which was published in March
2006. This framework is specifically written to enable the Apache Web services
stack to use WS Policy as a way of expressing it's requirements and
capabilities.

%if %with javadoc
%package -n ws-commons-neethi-javadoc
Summary:        Javadoc for neethi
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n ws-commons-neethi-javadoc
%{summary}.
%endif

%prep
%setup -q -n webservices-neethi -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/neethi-%{namedversion}.jar %{buildroot}%{_javadir}/neethi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/neethi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/neethi-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/neethi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/neethi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/neethi-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-neethi.pom

# depmaps
%add_to_maven_depmap org.apache.neethi neethi %{namedversion} JPP neethi
[ %{name} = "neethi" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/neethi

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/neethi-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/neethi-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/neethi-%{namedversion} -x META-INF/\*
%{__ln_s} neethi-%{namedversion} %{buildroot}%{_javadocdir}/neethi
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n ws-commons-neethi
%update_maven_depmap

%postun -n ws-commons-neethi
%update_maven_depmap

%files -n ws-commons-neethi
%defattr(0644,root,root,0755)
%doc README.txt RELEASE-NOTE.txt
%{_javadir}/neethi-%{namedversion}.jar
%{_javadir}/neethi.jar
%exclude %{_javadir}/neethi-%{namedversion}-javadoc.jar
%exclude %{_javadir}/neethi-javadoc.jar
%{_javadir}/neethi-%{namedversion}-sources.jar
%{_javadir}/neethi-sources.jar
%{_mavenpomdir}/JPP-neethi.pom
%{_mavendepmapfragdir}/neethi

%if %with javadoc
%files -n ws-commons-neethi-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/neethi-%{namedversion}
%{_javadocdir}/neethi
%{_javadir}/neethi-%{namedversion}-javadoc.jar
%{_javadir}/neethi-javadoc.jar
%endif

%changelog
* Tue Jul 22 2014 David Walluck <dwalluck@redhat.com> - 3.0.2-8.redhat_3.1
- remove Requires: woodstox-core-asl >= 0:4.0.8 due to EAP no longer shipping it

* Tue May 13 2014 David Walluck <dwalluck@redhat.com> - 3.0.2-7.redhat_3.1
- build wrapper only

* Tue May 13 2014 David Walluck <dwalluck@redhat.com> 0:3.0.2-7
- remove Requires: wsdl4j (not in pom.xml)
- add Requires: woodstox-core-asl (in pom.xml)
- add missing doc
- update Summary, Group, and description from pom.xml
- fix Group
- remove all non-MEAD code from spec

* Mon Oct 14 2013 Lin Gao <lgao@redhat.com> 0:3.0.2-6.redhat_3
- Rebuild to use inner git repository for CC
- Use new version release mechnism
- Disable javadoc subpackage in wrapper mode

* Tue Sep 25 2012 Yong Yang <yyang@redhat.com> 0:3.0.2-5.redhat_2
- Patch OMToDOMConverter to use DOM MetaFactory as default

* Tue Sep 25 2012 Yong Yang <yyang@redhat.com> 0:3.0.2-4.redhat_2
- Upgrade to 3.0.2
- Build with axiom 1.2.12 with path for OMToDOMConverter

* Thu Sep 20 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-13.redhat_2
- Remove fix for JBPAPP-9190 as it is no longer needed and changes the MD5

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-12.redhat_2
- Rebuild for MD5

* Thu Sep 13 2012 Yong Yang <yyang@redhat.com> 0:3.0.1-11
- Downgrade to 3.0.1, 3.0.2 needs ws-commons-axiom 1.2.13 which needs apache-mime4j 0.7.2, \
  upgrading apache-mime4j from 0.6 to 0.7.2 probably bring compatibility issue, maybe we can postpone this upgrade to EAP6.1

* Thu Sep 13 2012 Yong Yang <yyang@redhat.com> 0:3.0.2-3
- Comment "Requires: ws-commons-axiom", so we don't need to ship ws-commons-axiom

* Thu Sep 06 2012 David Walluck <dwalluck@redhat.com> 0:3.0.2-2
- fix deploy-file command by setting maven.repo.local
- BuildRequires: java-devel for jar command
- fix Release (reltag is conditional)

* Thu Aug 23 2012 Yong Yang <yyang@redhat.com> - 0:3.0.2-1.redhat_1
- Upgrade to 3.0.2

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-10.redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-10.redhat_1.1
- Rebuild using cache signing

* Mon Jul 16 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-10.redhat_1
- Add Requires

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-9.redhat_1
- First Mead build

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-8.redhat_1
- Keep sources jar in repolib

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-7.redhat_1
- Deploy fixed jar to repolib

* Thu May 31 2012 Yong Yang <yyang@redhat.com> - 0:3.0.1-6.redhat_1
- Fix JBPAPP-9190, blank manifest in EAP build

* Thu Apr 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-5.redhat_1
- Do not specify the version for wsdl4j at run-time

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-4_redhat_1.1
- Rebuild using cache signing

* Fri Feb 03 2012 David Walluck <dwalluck@redhat.com> 0:3.0.1-4
- fix Requires (only woodstox-core and wsdl4j)
- fix jar names
- fix repolib file ownership
- remove gcj support
- always install pom
- remove old neethi-3.0.0.tar.bz2

* Fri Jan 27 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-3_redhat_1.1
- Requires wsdl4j (no 16)

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-3_redhat_1
- Use deploy:deploy to deploy artifacts to repolib

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-2_redhat_1
- Build for Werewolf

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-1
- Upgrade to 3.0.1

* Wed Jun 22 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3
- Rebuild

* Wed Jun 22 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-2
- Remove Patch1 Patch2
- Remove upload.sh, use mvn deploy:deploy-file in repolib instead

* Mon Jun 20 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-1
- Upgrade to 3.0.0
- Add patches, see comments

* Wed Apr 06 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.0.4-1.2.2.3
- Fix dist in Release

* Thu Dec 9 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-1.2.2.2
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- change BR  maven-release to  maven-release-plugin
- add BR codehaus-stax11-api
- disable "site" document generation

* Wed Jun 30 2010 Permaine Cheung <pcheung@redhat.com> 0:2.0.4-1.2.2.1
- Replace wsdl4j by wsdl4j16 for RHEL 5

* Mon Jun 28 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-1.2.2
- Remove the listings of Patch0: %{name}-pom_xml.patch and Patch1: %{name}-site_xml.patch

* Mon Jun 28 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.0.4-1.2.1
- Rebuild for EAP 5.1

* Wed Dec 09 2009 Martha Benitez <mbenitez@redhat.com> 0:2.0.4-1.2
- Fix repolib location and depmap fragment
- Change component id and artifact id from ws-commons-neethi to neethi in component-info.xml
- Add pom.xml to repolib
- Add sources.jar to main package and repolib

* Thu Jul 30 2009 Martha Benitez <mbenitez@redhat.com> 0:2.0.4-1.1
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3
- Change (B)R wstx32 to wstx
- Comment mojo-maven2-plugin-jdepend
- Add repolib

* Tue Jul 28 2009 David Walluck <dwalluck@redhat.com> 0:2.0.4-1
- 2.0.4

* Mon Mar 23 2009 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-4.jpp5
- (B)R wstx32 because wstx is frozen to 3.1.1 in JPP-5

* Mon Feb 09 2009 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-3.jpp5
- Rebuild with current best practices

* Wed Jul 11 2007 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-2jpp
- Remove false Provides/Obsoletes ws-commons-policy

* Wed May 30 2007 Ralph Apel <r.apel at r-apel.de> 0:2.0.1-1jpp
- Upgrade to 2.0.1
- Build with maven2 by default
- Make Vendor, Distribution based on macro
- Add gcj_support option

* Fri May 19 2006 Deepak Bhole <dbhole@redhat.com> 0:1.0-1jpp
- Initial build
